<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbAdslSupplierTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_adsl_supplier', function(Blueprint $table)
		{
			$table->foreign('site_id', 'fk_as_set')->references('id')->on('ab_setup')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_adsl_supplier', function(Blueprint $table)
		{
			$table->dropForeign('fk_as_set');
		});
	}

}
